Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2135163 - [abrt] libsoup: Crash under soup_connection_manager_cleanup()
Summary: [abrt] libsoup: Crash under soup_connection_manager_cleanup()
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libsoup3
Version: 37
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact:
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:13678fa1efd57f18468fd300eeb...
: 2140239 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-10-16 22:25 UTC by Calum Chisholm
Modified: 2022-11-14 01:13 UTC (History)
5 users (show)

Fixed In Version: libsoup3-3.2.2 libsoup3-3.2.2-1.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-14 01:13:47 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2022-10-16 22:25 UTC, Calum Chisholm
no flags Details
File: core_backtrace (deleted)
2022-10-16 22:25 UTC, Calum Chisholm
no flags Details
File: cpuinfo (deleted)
2022-10-16 22:25 UTC, Calum Chisholm
no flags Details
File: dso_list (deleted)
2022-10-16 22:25 UTC, Calum Chisholm
no flags Details
File: environ (deleted)
2022-10-16 22:25 UTC, Calum Chisholm
no flags Details
File: exploitable (deleted)
2022-10-16 22:25 UTC, Calum Chisholm
no flags Details
File: limits (deleted)
2022-10-16 22:25 UTC, Calum Chisholm
no flags Details
File: maps (deleted)
2022-10-16 22:25 UTC, Calum Chisholm
no flags Details
File: mountinfo (deleted)
2022-10-16 22:25 UTC, Calum Chisholm
no flags Details
File: open_fds (deleted)
2022-10-16 22:25 UTC, Calum Chisholm
no flags Details
File: proc_pid_status (deleted)
2022-10-16 22:25 UTC, Calum Chisholm
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME libsoup issues 308 0 None closed Crash under soup_connection_manager_cleanup() 2022-10-17 06:18:07 UTC

Description Calum Chisholm 2022-10-16 22:25:28 UTC
Version-Release number of selected component:
evolution-data-server-3.46.0-1.fc37

Additional info:
reporter:       libreport-2.17.4
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/evolution-source-registry.service
cmdline:        /usr/libexec/evolution-source-registry
crash_function: g_mutex_lock
executable:     /usr/libexec/evolution-source-registry
journald_cursor: s=202dfa61c1b342d99dd8dd09ca58ccbe;i=11efe;b=2f964f1ecc454fe6b106dbf52a23d070;m=5798433cc;t=5eb2e0741dea2;x=512367b4778db6c8
kernel:         5.19.14-300.fc37.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_mutex_lock at ../glib/gthread-posix.c:1529
 #1 soup_connection_manager_cleanup.isra.0 at ../libsoup/soup-connection-manager.c:516
 #2 async_run_queue at ../libsoup/soup-session.c:1821
 #3 queue_dispatch at ../libsoup/soup-session.c:184
 #6 g_main_context_iterate.constprop.0 at ../glib/gmain.c:4238
 #8 dbus_server_run_server at /usr/src/debug/evolution-data-server-3.46.0-1.fc37.x86_64/src/libebackend/e-dbus-server.c:317
 #9 ffi_call_unix64 at ../src/x86/unix64.S:105
 #10 ffi_call_int at ../src/x86/ffi64.c:672
 #11 g_cclosure_marshal_generic_va at ../gobject/gclosure.c:1650
 #12 _g_closure_invoke_va at ../gobject/gclosure.c:895

Comment 1 Calum Chisholm 2022-10-16 22:25:31 UTC
Created attachment 1918373 [details]
File: backtrace

Comment 2 Calum Chisholm 2022-10-16 22:25:32 UTC
Created attachment 1918374 [details]
File: core_backtrace

Comment 3 Calum Chisholm 2022-10-16 22:25:33 UTC
Created attachment 1918375 [details]
File: cpuinfo

Comment 4 Calum Chisholm 2022-10-16 22:25:34 UTC
Created attachment 1918376 [details]
File: dso_list

Comment 5 Calum Chisholm 2022-10-16 22:25:36 UTC
Created attachment 1918377 [details]
File: environ

Comment 6 Calum Chisholm 2022-10-16 22:25:37 UTC
Created attachment 1918378 [details]
File: exploitable

Comment 7 Calum Chisholm 2022-10-16 22:25:38 UTC
Created attachment 1918379 [details]
File: limits

Comment 8 Calum Chisholm 2022-10-16 22:25:39 UTC
Created attachment 1918380 [details]
File: maps

Comment 9 Calum Chisholm 2022-10-16 22:25:40 UTC
Created attachment 1918381 [details]
File: mountinfo

Comment 10 Calum Chisholm 2022-10-16 22:25:41 UTC
Created attachment 1918382 [details]
File: open_fds

Comment 11 Calum Chisholm 2022-10-16 22:25:42 UTC
Created attachment 1918383 [details]
File: proc_pid_status

Comment 12 Milan Crha 2022-10-17 06:18:07 UTC
Thanks for a bug report. This crash had been fixed upstream, under the libsoup project, recently:
https://gitlab.gnome.org/GNOME/libsoup/-/issues/308

The next release of the libsoup library, the 3.2.2 version, will contain the fix. I do not know when precisely the release will be done.

Comment 13 Milan Crha 2022-11-08 06:40:03 UTC
*** Bug 2140239 has been marked as a duplicate of this bug. ***

Comment 14 Fedora Update System 2022-11-08 06:47:11 UTC
FEDORA-2022-4c75b2cdf9 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-4c75b2cdf9

Comment 15 Fedora Update System 2022-11-08 10:12:14 UTC
FEDORA-2022-4c75b2cdf9 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-4c75b2cdf9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-4c75b2cdf9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2022-11-14 01:13:47 UTC
FEDORA-2022-4c75b2cdf9 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.